package com.sun.corba.se.impl.ior;

import org.omg.CORBA_2_3.portable.OutputStream;
import java.util.Arrays;
import java.util.Iterator;

public class ObjectAdapterIdArray extends ObjectAdapterIdBase
{
    private final String[] objectAdapterId;
    
    public ObjectAdapterIdArray(String[] objectAdapterId) {
        this.objectAdapterId = objectAdapterId;
    }
    
    public ObjectAdapterIdArray(String s, String s2) {
        (this.objectAdapterId = new String[2])[0] = s;
        this.objectAdapterId[1] = s2;
    }
    
    public int getNumLevels() {
        return this.objectAdapterId.length;
    }
    
    public Iterator iterator() {
        return Arrays.asList(this.objectAdapterId).iterator();
    }
    
    public String[] getAdapterName() {
        return (String[])(String[])this.objectAdapterId.clone();
    }
}
